aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-10-26 11:09:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-10-26 11:11:15 +0000
commit5681d3921e4d545c854829ec55980d95524bdf23 (patch)
treed938ab0387422d44377e5c30d0c2594a538f060a /main/linux-grsec/APKBUILD
parent650c08badb6229254f7625ffdbb9e566558e3649 (diff)
downloadaports-5681d3921e4d545c854829ec55980d95524bdf23.tar.gz
aports-5681d3921e4d545c854829ec55980d95524bdf23.tar.bz2
aports-5681d3921e4d545c854829ec55980d95524bdf23.tar.xz
main/linux-grsec: upgrade to grsecurity-2.2.0-2.6.35.7-201010232009
Diffstat (limited to 'main/linux-grsec/APKBUILD')
-rw-r--r--main/linux-grsec/APKBUILD66
1 files changed, 19 insertions, 47 deletions
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index 3ec14830b3..d557959e66 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -2,9 +2,9 @@
_flavor=grsec
pkgname=linux-${_flavor}
-pkgver=2.6.32.24
-_kernver=2.6.32
-pkgrel=2
+pkgver=2.6.35.7
+_kernver=2.6.35
+pkgrel=0
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
depends="mkinitfs linux-firmware"
@@ -14,31 +14,12 @@ _config=${config:-kernelconfig.${CARCH:-x86}}
install=
source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
- grsecurity-2.2.0-2.6.32.24-201010232009.patch
- 0001-grsec-revert-conflicting-flow-cache-changes.patch
- 0002-gre-fix-hard-header-destination-address-checking.patch
- 0003-ip_gre-include-route-header_len-in-max_headroom-calc.patch
+ grsecurity-2.2.0-2.6.35.7-201010232009.patch
0004-arp-flush-arp-cache-on-device-change.patch
- 0007-r8169-Fix-rtl8169_rx_interrupt.patch
- 0009-ipsec-Fix-bogus-bundle-flowi.patch
- 0010-xfrm-Remove-xfrm_state_genid.patch
0011-xfrm_user-verify-policy-direction-at-XFRM_MSG_POLEXP.patch
- 0012-xfrm-remove-policy-lock-when-accessing-policy-walk.d.patch
- 0013-flow-structurize-flow-cache.patch
- 0014-flow-virtualize-flow-cache-entry-methods.patch
- 0015-xfrm-cache-bundles-instead-of-policies-for-outgoing-.patch
- 0016-xfrm-remove-policy-garbage-collection.patch
- 0017-flow-delayed-deletion-of-flow-cache-entries.patch
- 0018-xfrm-Fix-crashes-in-xfrm_lookup.patch
- 0019-ipv4-check-rt_genid-in-dst_check.patch
- 0020-xfrm-check-bundle-policy-existance-before-dereferencing-it.patch
- 0021-xfrm-do-not-assume-that-template-resolving-always-returns-xfrms.patch
- xfrm-fix-policy-unreferencing-on-larval-drop.patch
r8169-fix-random-mdio_write-failures.patch
r8169-fix-rx-checksum-offload.patch
- x86-setup-When-restoring-the-screen-update-boot_params-screen_info.patch
r8169-add-gro-support.patch
- hv-grsec.patch
kernelconfig.x86
"
subpackages="$pkgname-dev linux-firmware:firmware"
@@ -47,6 +28,7 @@ license="GPL-2"
_abi_release=${pkgver}-${_flavor}
prepare() {
+ local _patch_failed=
cd "$srcdir"/linux-$_kernver
if [ "$_kernver" != "$pkgver" ]; then
bunzip2 -c < ../patch-$pkgver.bz2 | patch -p1 -N || return 1
@@ -57,11 +39,20 @@ prepare() {
case $i in
*.patch)
msg "Applying $i..."
- patch -s -p1 -N < "$srcdir"/$i || return 1
+ if ! patch -s -p1 -N -i "$srcdir"/$i; then
+ echo $i >>failed
+ _patch_failed=1
+ fi
;;
esac
done
+ if ! [ -z "$_patch_failed" ]; then
+ error "The following patches failed:"
+ cat failed
+ return 1
+ fi
+
mkdir -p "$srcdir"/build
cp "$srcdir"/$_config "$srcdir"/build/.config
make -C "$srcdir"/linux-$_kernver O="$srcdir"/build HOSTCC="${CC:-gcc}" \
@@ -148,31 +139,12 @@ firmware() {
mv "$pkgdir"/lib/firmware "$subpkgdir"/lib/
}
-md5sums="260551284ac224c3a43c4adac7df4879 linux-2.6.32.tar.bz2
-e3346e3b4b92f048b8ecded829f45cdf patch-2.6.32.24.bz2
-cee569fe23aac484a4352e3e97987d23 grsecurity-2.2.0-2.6.32.24-201010232009.patch
-1d247140abec49b96250aec9aa59b324 0001-grsec-revert-conflicting-flow-cache-changes.patch
-437317f88ec13ace8d39c31983a41696 0002-gre-fix-hard-header-destination-address-checking.patch
-151b29a161178ed39d62a08f21f3484d 0003-ip_gre-include-route-header_len-in-max_headroom-calc.patch
+md5sums="091abeb4684ce03d1d936851618687b6 linux-2.6.35.tar.bz2
+6a00ec267b0100f20a3fa900b97a5b7f patch-2.6.35.7.bz2
+4a1ceddc62ff83b136f32dbab50e15f8 grsecurity-2.2.0-2.6.35.7-201010232009.patch
776adeeb5272093574f8836c5037dd7d 0004-arp-flush-arp-cache-on-device-change.patch
-5f8b9a76d95319c5b1aa26b54a42e6b5 0007-r8169-Fix-rtl8169_rx_interrupt.patch
-cf168620efa63479a6e03da78906e32f 0009-ipsec-Fix-bogus-bundle-flowi.patch
-3af4b5ae1afae3278b0070f585b874e3 0010-xfrm-Remove-xfrm_state_genid.patch
9f284c3fd5ab38cef4544efc1f50c6ba 0011-xfrm_user-verify-policy-direction-at-XFRM_MSG_POLEXP.patch
-b035114e893883cf67530350678e00f5 0012-xfrm-remove-policy-lock-when-accessing-policy-walk.d.patch
-9dea03ec19aaf9a384e4f56f57009257 0013-flow-structurize-flow-cache.patch
-fc9ab26abbfec0d3f20000b5e695620b 0014-flow-virtualize-flow-cache-entry-methods.patch
-c09b82b89a49ba2a3836a0bc3a3312f4 0015-xfrm-cache-bundles-instead-of-policies-for-outgoing-.patch
-41618efb65ab9ddacfb59a1cde9b4edd 0016-xfrm-remove-policy-garbage-collection.patch
-3b83f0972ab715819d1119b120a987e7 0017-flow-delayed-deletion-of-flow-cache-entries.patch
-45a676c7a1759fec60b724d557b4e295 0018-xfrm-Fix-crashes-in-xfrm_lookup.patch
-74e511f12854972db08d3fddc4df0f52 0019-ipv4-check-rt_genid-in-dst_check.patch
-edfac5844f91721d49a00a09b6ef258b 0020-xfrm-check-bundle-policy-existance-before-dereferencing-it.patch
-b39bccb5a1124f5a3f2f209edb21aba5 0021-xfrm-do-not-assume-that-template-resolving-always-returns-xfrms.patch
-c7e606c11c05ff03012b21c3fe0ece47 xfrm-fix-policy-unreferencing-on-larval-drop.patch
ce4a74190febe13713bab1b886dd5bee r8169-fix-random-mdio_write-failures.patch
0ccecafd4123dcad0b0cd7787553d734 r8169-fix-rx-checksum-offload.patch
-a1bcf76870b63a4a4035a8948fb758e2 x86-setup-When-restoring-the-screen-update-boot_params-screen_info.patch
139b39da44ecb577275be53d7d365949 r8169-add-gro-support.patch
-bf14850a0036d14bc6177adbdec23a17 hv-grsec.patch
-888d09239837d7544034b60107fdd019 kernelconfig.x86"
+f6b46f11945c77d01679c87e95d512ee kernelconfig.x86"